[alpine-aports] [PATCH] testing/isync: new aport

Stuart Cardall
Details
Message ID
<1459558156-30129-1-git-send-email-developer@it-offshore.co.uk>
Sender timestamp
1459558156
DKIM signature
missing
Download raw message
Patch: +37 -0
---
 testing/isync/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/isync/APKBUILD

diff --git a/testing/isync/APKBUILD b/testing/isync/APKBUILD
new file mode 100644
index 0000000..7999ec6
--- /dev/null
+++ b/testing/isync/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=isync
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="IMAP and MailDir mailbox synchronizer"
+url="http://isync.sourceforge.net"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::http://downloads.sourceforge.net/sourceforge/isync/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7ba1a07c7b487a3ab5fef54d0071f1dd  isync-1.2.1.tar.gz"
+sha256sums="e716de28c9a08e624a035caae3902fcf3b511553be5d61517a133e03aa3532ae  isync-1.2.1.tar.gz"
+sha512sums="706379e602cdcef3a1ca7eaf2301cfea15b9bbb5ee46c8f598308ad68a48725c6a4d13a2e73cc4633efec34fda1dbcb89bdd0e4c2e06993fa24db69cce9ff50b  isync-1.2.1.tar.gz"
-- 
2.7.4



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---